summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2014-08-24 13:28:54 -0500
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-08-30 14:21:27 +0700
commit0ed2b3f046ee093ef333db31aaff57a11ce50db9 (patch)
treeae0f8c726b36e437f283755de01c2be785df348b
parent168defcd3925bcb8e451eeaef3d0f4851db2c2ed (diff)
downloadslackbuilds-0ed2b3f046ee093ef333db31aaff57a11ce50db9.tar.gz
slackbuilds-0ed2b3f046ee093ef333db31aaff57a11ce50db9.tar.xz
office/texlive-texmf-extra: Added (Extra texmf files for TeX Live)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--office/texlive-texmf-extra/README5
-rw-r--r--office/texlive-texmf-extra/doinst.sh4
-rw-r--r--office/texlive-texmf-extra/slack-desc20
-rw-r--r--office/texlive-texmf-extra/texlive-texmf-extra.SlackBuild56
-rw-r--r--office/texlive-texmf-extra/texlive-texmf-extra.info10
5 files changed, 95 insertions, 0 deletions
diff --git a/office/texlive-texmf-extra/README b/office/texlive-texmf-extra/README
new file mode 100644
index 0000000000..b073981d1a
--- /dev/null
+++ b/office/texlive-texmf-extra/README
@@ -0,0 +1,5 @@
+texlive-texmf-extra (Extra texmf files for TeX Live)
+
+This package contains the remainder of the texmf files, mostly
+fonts but with a few more packages, originally included in the
+texlive-texmf archive distributed by tug.org.
diff --git a/office/texlive-texmf-extra/doinst.sh b/office/texlive-texmf-extra/doinst.sh
new file mode 100644
index 0000000000..5bac0e7189
--- /dev/null
+++ b/office/texlive-texmf-extra/doinst.sh
@@ -0,0 +1,4 @@
+chroot . /usr/bin/mktexlsr 1>/dev/null 2>/dev/null
+#printf "y\n" | chroot . /usr/bin/updmap-sys --nohash --syncwithtrees 1>/dev/null 2>/dev/null
+chroot . /usr/bin/updmap-sys 1>/dev/null 2>/dev/null
+chroot . /usr/bin/fmtutil-sys --all 1>/dev/null 2>/dev/null
diff --git a/office/texlive-texmf-extra/slack-desc b/office/texlive-texmf-extra/slack-desc
new file mode 100644
index 0000000000..13bae5d8d2
--- /dev/null
+++ b/office/texlive-texmf-extra/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+texlive-texmf-extra: texlive-texmf-extra (Extra texmf files for TeX Live)
+texlive-texmf-extra:
+texlive-texmf-extra: This package contains the remainder of the texmf files, mostly
+texlive-texmf-extra: fonts but with a few more packages, originally included in the
+texlive-texmf-extra: texlive-texmf archive distributed by tug.org.
+texlive-texmf-extra:
+texlive-texmf-extra:
+texlive-texmf-extra:
+texlive-texmf-extra:
+texlive-texmf-extra:
+texlive-texmf-extra:
+
diff --git a/office/texlive-texmf-extra/texlive-texmf-extra.SlackBuild b/office/texlive-texmf-extra/texlive-texmf-extra.SlackBuild
new file mode 100644
index 0000000000..fc22246d4a
--- /dev/null
+++ b/office/texlive-texmf-extra/texlive-texmf-extra.SlackBuild
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+# texlive-texmf-docs build script for Slackware
+
+# Copyright 2009-2014 Robby Workman, Northport, AL, USA
+# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=texlive-texmf-extra
+VERSION=20140525
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr/share $OUTPUT
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz -C $PKG/usr/share
+chown -R root:root $PKG
+chmod -R a-s $PKG
+find -L $PKG \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/texlive-texmf-extra/texlive-texmf-extra.info b/office/texlive-texmf-extra/texlive-texmf-extra.info
new file mode 100644
index 0000000000..f25e2727eb
--- /dev/null
+++ b/office/texlive-texmf-extra/texlive-texmf-extra.info
@@ -0,0 +1,10 @@
+PRGNAM="texlive-texmf-extra"
+VERSION="20140525"
+HOMEPAGE="http://tug.org/texlive/"
+DOWNLOAD="http://harrier.slackbuilds.org/texlive-2014/texlive-texmf-extra/texlive-texmf-extra-20140525.tar.xz"
+MD5SUM="9b175ba55b98c654963f98d3695b35c0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="texlive"
+MAINTAINER="Robby Workman"
+EMAIL="rworkman@slackbuilds.org"